from dqc_wrapper.utils.utils_files import *
from dqc_wrapper.unit_tests.conftest import dirs
from pathlib import Path
from configparser import ConfigParser
import pytest


def test_dir_or_file():
    response = dir_or_file(str(Path(dirs.nc_file).parent), "*.nc")
    assert len(response) == 1

@pytest.mark.skip
def test_initiate_logging():
    response = initiate_logging(dirs.log_dir, dirs.nc_file, "test")
    assert Path(response).exists()


def test_save_result():
    save_result(ConfigParser(), dirs.log_dir, "test")
    assert Path(dirs.log_dir, "test").exists()


def test_get_t0_tn():
    file_list = ["file_20191120.fake", "file_20010101.fake"]
    response = get_t0_tn(file_list)
    assert response[0] < response[1]
    with pytest.raises(Exception):
        file_list = ["fff"]
        get_t0_tn(file_list)
